-- Scene specific script

G.SceneScript = LOCAL;              -- setup a global link to our local variables

Debug:PrintLine("Running Scene Script");


-- accessing global and gamescript variables
Debug:PrintLine(G.message);
Debug:PrintLine(G.GameScript.message);


-- script-local variable
message = "Hello Local World from Scene";


-- camera setup
local cam = Game:GetCamera()
Vision.Assert(cam~=nil, "Camera is not present...!")
cam:SetPosition(-400, 0, 100)


-- create a light source
local light = Game:CreateLight(Vision.hkvVec3(), Vision.LIGHT_POINT, 300)


